#!/bin/sh
#   Copyright (c) 2010 digitalSTROM.org, Zurich, Switzerland
#
#   Author: Sergey 'Jin' Bostandzhyan <jin@mediatomb.cc>
#
#   This file is part of digitalSTROM Server.
#
#   funclib.sh is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   funclib.sh is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this file. If not, see <http://www.gnu.org/licenses/>.

# error codes
ERR_OK=0        # no error
ERR_MODE=1      # not able to determine network mode (dhcp/static ip)
ERR_MASK=2      # netmask not found or bogus
ERR_IP=3        # ip not found or bogus
ERR_GW=4        # gateway not found or bogus
ERR_DNS=5       # bad DNS ip
ERR_FWRITE=6    # could not write to configuration file
ERR_NETDOWN=7   # could not shutdown network
ERR_NETUP=8     # could not bring up network
ERR_PARAM=9     # invalid option or parameter
ERR_REDIRECT=10 # redirect to new ip is required
ERR_RESTORE=11  # restoring interface file failed
ERR_BACKUP=12   # backing up interface file failed
ERR_HOSTNAME=13 # invalid hostname specified
ERR_APPSTART=14 # could not start application
ERR_REBOOT=15   # could not initiate system reboot
ERR_HALT=16     # could not initiate system halt
